## gate.util
Class Coordinates

    java.lang.Object
      |
      +--gate.util.Coordinates

public class Coordinates
extends Object

Field Summary
`private static boolean` `DEBUG` Debug flag
`(package private) int` `x1`
`(package private) int` `x2`
`(package private) int` `y1`
`(package private) int` `y2`

Constructor Summary
`Coordinates(int x1, int y1, int x2, int y2)`

Method Summary
`int` `getX1()`
`int` `getX2()`
`int` `getY1()`
`int` `getY2()`
`void` `setX1(int x)`
`void` `setX2(int x)`
`void` `setY1(int y)`
`void` `setY2(int y)`
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### x1

    int x1

### x2

    int x2

### y1

    int y1

### y2

    int y2

Constructor Detail

### Coordinates

    public Coordinates(int x1,
                       int y1,
                       int x2,
                       int y2)

Method Detail

### getX1

    public int getX1()

### getY1

    public int getY1()

### getX2

    public int getX2()

### getY2

    public int getY2()

### setX1

    public void setX1(int x)

### setX2

    public void setX2(int x)

### setY1

    public void setY1(int y)

### setY2

    public void setY2(int y)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`